/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: CheckInputDlg.h
**
** DESCRIPTION: This class defines dialog that asks if the user wants to 
**              rate a played video clip
**
** AUTHOR: Zheng Zuo/Yubing Wang        March-2001
**
/**************************************************************************/


#if !defined(AFX_CHECKINPUTDLG_H__854C6037_38CB_40C1_998A_F55B1B3824A3__INCLUDED_)
#define AFX_CHECKINPUTDLG_H__854C6037_38CB_40C1_998A_F55B1B3824A3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// CheckInputDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CCheckInputDlg dialog

class CCheckInputDlg : public CDialog
{
// Construction
public:
	CCheckInputDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CCheckInputDlg)
	enum { IDD = IDD_CHECK_INPUT };
	CProgressCtrl	m_ctrlWaitTime;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCheckInputDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CCheckInputDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
    int m_nTimeTick;
    int m_nTotalTick;
    UINT m_nTimer;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHECKINPUTDLG_H__854C6037_38CB_40C1_998A_F55B1B3824A3__INCLUDED_)
