/**************************************************************************
**
** Copyright (C) Computer Science Department, Worcester Polytechnic Institute,
**                           All rights reserved.
**
** FILE NAME: ControlOptionDlg.cpp
**
** DESCRIPTION: This program implements the methods of CControlOptionDlg 
**              
**
** AUTHOR: Zheng Zuo/Yubing Wang       March-2001
**
/**************************************************************************/


// ControlOptionDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RealTracker.h"
#include "ControlOptionDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CControlOptionDlg dialog


CControlOptionDlg::CControlOptionDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CControlOptionDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CControlOptionDlg)
	m_nCheckInput = -1;
	m_nPlayTime = -1;
	//}}AFX_DATA_INIT
}


void CControlOptionDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CControlOptionDlg)
	DDX_Radio(pDX, IDC_RADIO_ASSESS_NEVER, m_nCheckInput);
	DDX_Radio(pDX, IDC_RADIO_TIME_ONE, m_nPlayTime);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CControlOptionDlg, CDialog)
	//{{AFX_MSG_MAP(CControlOptionDlg)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CControlOptionDlg message handlers
